Compilation through MonoDevelop fails

Bug #492804 reported by The Fiddler on 2009-12-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Docky
Low
Robert Dyer

Bug Description

There are two main issues:

1. Docky.Services contains unsafe code, but the .csproj doesn't define the /unsafe flag.

2. You need to run both ./autogen.sh and make before opening the solution, otherwise compilation fails with unmet dependencies.

After fixing those issues, I am able to compile docky using MonoDevelop 2.2 beta 2 and docky r743.

Chris S. (cszikszoy) on 2009-12-05
Changed in docky:
status: New → Invalid
The Fiddler (stapostol) wrote :

And this is invalid, because..?

Robert Dyer (psybers) wrote :

@Fiddler: I fixed #1. That was a valid complaint. :-)

#2 is just a pre-req to using MonoDevelop on our solution. Its unavoidable.

Changed in docky:
status: Invalid → Fix Committed
importance: Undecided → Low
assignee: nobody → Robert Dyer (psybers)
The Fiddler (stapostol) wrote :

Thanks.

#2 is mainly a documentation issue, which should be probably mentioned here: http://do.davebsd.com/wiki/Installing_Docky

(Should I make a separate bug report for that?)

Robert Dyer (psybers) wrote :

No. Note that compiling/installing Docky from MonoDevelop is not an officially supported method. Either users install from PPA (preferred) or compile from CLI using make.

The Fiddler (stapostol) wrote :

Don't wish to litter this bug report, so I'm moving my follow-up questions here: https://answers.launchpad.net/docky/+question/88492 (just providing the link for future reference).

Robert Dyer (psybers) on 2010-02-27
Changed in docky:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions